org.apache.tinkerpop.gremlin.process.traversal.step

## Class ComplexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.ComplexTest

- Direct Known Subclasses:
    ComplexTest.Traversals

      public abstract class ComplexTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComplexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ageComments()`
    `void` | `allShortestPaths()`
    `void` | `classicRecommendation()`
    `void` | `coworkerSummary()`
    `void` | `coworkerSummaryOLTP()`
    `abstract Traversal<Vertex,Map<String,List<String>>>` | `getAgeComments()`
    `abstract Traversal<Vertex,List<Object>>` | `getAllShortestPaths()`
    `abstract Traversal<Vertex,String>` | `getClassicRecommendation()`
    `abstract Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>>` | `getCoworkerSummary()`
    `abstract Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>>` | `getCoworkerSummaryOLTP()`
    `abstract Traversal<Vertex,Map<String,List<String>>>` | `getPlaylistPaths()`
    `void` | `playlistPaths()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexTest

          public ComplexTest()

  - ### Method Detail

    - #### getClassicRecommendation

          public abstract Traversal<Vertex,String> getClassicRecommendation()

    - #### getCoworkerSummary

          public abstract Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>> getCoworkerSummary()

    - #### getCoworkerSummaryOLTP

          public abstract Traversal<Vertex,Map<String,Map<String,Map<String,Object>>>> getCoworkerSummaryOLTP()

    - #### getAllShortestPaths

          public abstract Traversal<Vertex,List<Object>> getAllShortestPaths()

    - #### getPlaylistPaths

          public abstract Traversal<Vertex,Map<String,List<String>>> getPlaylistPaths()

    - #### getAgeComments

          public abstract Traversal<Vertex,Map<String,List<String>>> getAgeComments()

    - #### classicRecommendation

          public void classicRecommendation()

    - #### coworkerSummary

          public void coworkerSummary()

    - #### coworkerSummaryOLTP

          public void coworkerSummaryOLTP()

    - #### allShortestPaths

          public void allShortestPaths()

    - #### playlistPaths

          public void playlistPaths()

    - #### ageComments

          public void ageComments()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.